Name:		libeasyfc
Version:	0.7
Release:	1%{?dist}
Summary:	Easy configuration generator interface for fontconfig

Group:		System Environment/Libraries
License:	LGPLv3+
URL:		http://github.com/tagoh/libeasyfc
Source0:	https://github.com/downloads/tagoh/libeasyfc/libeasyfc-%{version}.tar.bz2
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	glib2-devel gobject-introspection-devel libxml2-devel fontconfig-devel
BuildRequires:	gettext

%description
libeasyfc aims to provide an easy interface to generate
fontconfig configuration on demand.

%package	gobject
Summary:	GObject interface for libeasyfc
Group:		System Environment/Libraries
Requires:	%{name} = %{version}-%{release}

%description	gobject
libeasyfc aims to provide an easy interface to generate
fontconfig configuration on demand.

This package contains an interface for GObject.

%package	devel
Summary:	Development files for libeasyfc
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig
Requires:	fontconfig-devel glib2-devel

%description	devel
libeasyfc aims to provide an easy interface to generate
fontconfig configuration on demand.

This package contains the development files to make any
applications with libeasyfc.

%package	gobject-devel
Summary:	Development files for libeasyfc-gobject
Group:		Development/Libraries
Requires:	%{name}-gobject = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}
Requires:	pkgconfig
Requires:	glib2-devel

%description	gobject-devel
libeasyfc aims to provide an easy interface to generate
fontconfig configuration on demand.

This package contains the development files to make any
applications with libeasyfc-gobject.

%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT


%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig
%post	gobject -p /sbin/ldconfig
%postun	gobject -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc README AUTHORS COPYING ChangeLog
%{_libdir}/libeasyfc.so.*

%files	gobject
%defattr(-, root, root, -)
%{_libdir}/libeasyfc-gobject.so.*
%{_libdir}/girepository-*/Easyfc-*.typelib

%files	devel
%defattr(-, root, root, -)
%{_includedir}/libeasyfc
%exclude %{_includedir}/libeasyfc/ezfc-gobject.h
%{_libdir}/libeasyfc.so
%{_libdir}/pkgconfig/libeasyfc.pc
%{_datadir}/gtk-doc/html/libeasyfc

%files	gobject-devel
%defattr(-, root, root, -)
%{_includedir}/libeasyfc/ezfc-gobject.h
%{_libdir}/libeasyfc-gobject.so
%{_libdir}/pkgconfig/libeasyfc-gobject.pc
%{_datadir}/gir-*/Easyfc-*.gir

%changelog
* Tue Feb 28 2012 Akira TAGOH <tagoh@redhat.com> - 0.7-1
- New upstream release.

* Wed Feb 08 2012 Akira TAGOH <tagoh@redhat.com> - 0.6-2
- Move .typelib in the libeasyfc-gobject package (#788112)

* Mon Feb 06 2012 Akira TAGOH <tagoh@redhat.com> - 0.6-1
- New upstream release.

* Tue Jan 24 2012 Akira TAGOH <tagoh@redhat.com> - 0.5-1
- New upstream release.

* Wed Jan 18 2012 Akira TAGOH <tagoh@redhat.com> - 0.4-1
- New upstream release.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Dec 19 2011 Akira TAGOH <tagoh@redhat.com> - 0.3-1
- New upstream release.

* Fri Dec  9 2011 Akira TAGOH <tagoh@redhat.com> - 0.2-1
- New upstream release.
- Removes %%doc from subpackages as per the suggestions in the review.

* Wed Dec  7 2011 Akira TAGOH <tagoh@redhat.com> - 0.1-1
- Initial packaging.

